package com.liquidnet.service.kylin.dto.vo.returns;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class KylinOrderTicketEntitiesPreRefundVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 1207664465164005975L;
    private String orderTicketEntitiesId;
    private Integer enterType;
    private String enterName;
    private String enterMobile;
    private String enterIdCode;
    private Integer status;
    private String useStart;
    private String useEnd;
    private BigDecimal refundPrice;
    private BigDecimal priceActual;
    private BigDecimal priceCanRefund;
    private String ticketTitle;
    private Integer isPayment;

    private static final KylinOrderTicketEntitiesPreRefundVo obj = new KylinOrderTicketEntitiesPreRefundVo();
    public static KylinOrderTicketEntitiesPreRefundVo getNew() {
        try {
            return (KylinOrderTicketEntitiesPreRefundVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinOrderTicketEntitiesPreRefundVo();
        }
    }
}
